#!/usr/bin/env bash

# Created by RunCloud
# If you found any bug, please send email to bug@runcloud.io

declare -g CURRENTDIR RC_WORKDIR RC_NOAUTOUSER ISTERMINAL
CURRENTDIR="$(pwd)"

function warning() {
    echo -e "\e[2m$1\e[0m"
}

function set_environment() {
    if [[ $CURRENTDIR =~ ^/home/[a-zA-Z0-9_-]+ ]]; then
        if [[ "$RC_NOAUTOUSER" != "true" ]];then
            USER=$(echo $CURRENTDIR | cut -d'/' -f 3)
        fi
        RC_WORKDIR=$CURRENTDIR
    else
        RC_WORKDIR="/"
    fi

    if [ -t 1 ]; then
        ISTERMINAL="true"
    else
        ISTERMINAL="false"
    fi
}

set_environment

if [[ "$RC_WORKDIR" == "/" && "$ISTERMINAL" == "true" ]]; then
    warning "$(cat <<EOF
#######################################################################

This script is designed to be running inside home directory.
Since you are not running this script inside a home directory, running
this command will start Docker with / as workdir.

#######################################################################
EOF
)"
fi


RC_CONTAINERNAME="_SERVICENAME_" RC_WORKDIR="${RC_WORKDIR}" USER="${USER}" exec /usr/bin/run-container composer "$@"
